Bug 101642 - USB printer device names keep changing
Summary: USB printer device names keep changing
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-05 01:54 UTC by Ben Elliston
Modified: 2007-03-27 04:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Elliston 2003-08-05 01:54:28 UTC
hDescription of problem:
Disconnecting and reconnecting a USB printer leads to the printer's device
assignment changing from usblp0 to usblp1.  Repeating this causes the assignment
to swap back and forth between usblp0 and usblp1.  Since CUPS has been
configured to use usblp0, the printer stops working if it's powered off and back
 on again and requires a second power cycling to correct the device name.

Version-Release number of selected component (if applicable):
kernel 2.4.20-19.7
hotplug 2001_02_14-15

How reproducible:
Always reproduced.

Steps to Reproduce:
1. Plug USB printer in, switch it on.
2. Unplug printer.
3. Plug printer back in.  Note new device assignment in syslog.
    
Actual results:
Printer gets assigned usblp1 on reconnection.

Expected results:
Printer should stay as usblp0.

Additional info:

Comment 1 Bill Nottingham 2003-08-05 02:56:11 UTC
This sounds like an issue with the kernel drivers not properly reusing the device.

Comment 2 Tim Waugh 2003-12-24 16:01:22 UTC
It's also the fault of redhat-config-printer that this matters at all. :-/

Comment 3 Bugzilla owner 2004-09-30 15:41:24 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.